Package org.apache.sysds.parser.dml

# Class ExpressionInfo

java.lang.Object
org.apache.sysds.parser.dml.ExpressionInfo

public class ExpressionInfo extends Object
This class exists solely to prevent compiler warnings.

The ExpressionInfo and StatementInfo classes are shared among both parsers (R-like and Python-like dialects), and Antlr-generated code assumes that these classes are present in the parser's namespace.

## Field Summary

Fields
Modifier and Type
Field
Description
`Expression`
`expr`
`Expression`
`from`
`Expression`
`increment`
`Expression`
`to`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### expr

public Expression expr

### from

public Expression from

### to

public Expression to

### increment

public Expression increment

## Constructor Details

### ExpressionInfo

public ExpressionInfo()